## ags 3.30.0-1

=== PSP/Makefile ===
DISTRIB_NAME = AGS_Runtime_for_PSP_3.21_R9
PSP_AGS_FOLDER = "j:/psp/game/ags"

.PHONY: kernelprx exceptionprx launchereboot engineprx allplugins \
        cleankernelprx cleanexceptionprx cleanlaunchereboot cleanengineprx cleanallplugins \
        distrib

all:
	make kernelprx
	make exceptionprx
	make launchereboot
	make engineprx
	make allplugins

kernelprx:
	@make -C "kernel"
	@cp "kernel/kernel.prx" "bin"
ifeq ($(COPY), 1)
	@cp "kernel/kernel.prx" $(PSP_AGS_FOLDER)
endif

exceptionprx:
	@make -C "exception/prx"
	@cp "exception/prx/exception.prx" "bin"
ifeq ($(COPY), 1)
	@cp "exception/prx/exception.prx" $(PSP_AGS_FOLDER)
endif

launchereboot:
	@make -C "launcher"
	@cp "launcher/EBOOT.PBP" "bin"
ifeq ($(COPY), 1)
	@cp "launcher/EBOOT.PBP" $(PSP_AGS_FOLDER)
endif

engineprx:
	@make -C "../Engine" -f Makefile.psp
	@cp "../Engine/ags321.prx" "bin"
ifeq ($(COPY), 1)
	@cp "../Engine/ags321.prx" $(PSP_AGS_FOLDER)
endif

allplugins:
ifeq ($(COPY), 1)
	@make -C "../Plugins" -f Makefile.psp COPY=1
else
	@make -C "../Plugins" -f Makefile.psp
endif
	

cleankernelprx:
	@make clean -C "kernel"
	@rm -f "bin/kernel.prx"
	
cleanexceptionprx:
	@make clean -C "exception/prx"
	@rm -f "bin/exception.prx"

cleanlaunchereboot:
	@make clean -C "launcher"
	@rm -f "bin/EBOOT.PBP"

cleanengineprx:
	@make clean -C "../Engine" -f Makefile.psp
	@rm -f "bin/ags321.prx"

cleanallplugins:
	@make clean -C "../Plugins" -f Makefile.psp

distrib: all
	@mkdir "dist" || true
	@mkdir "dist/$(DISTRIB_NAME)" || true
	@cp "bin/EBOOT.PBP" "dist/$(DISTRIB_NAME)/EBOOT.PBP"
	@cp "bin/ags321.prx" "dist/$(DISTRIB_NAME)/ags321.prx"
	@cp "bin/kernel.prx" "dist/$(DISTRIB_NAME)/kernel.prx"
	@cp "bin/exception.prx" "dist/$(DISTRIB_NAME)/exception.prx"
	@cp "bin/psp.cfg" "dist/$(DISTRIB_NAME)/psp.cfg"
	@cp "readme.md" "dist/$(DISTRIB_NAME)/readme.txt"
	@cp "../License.txt" "dist/$(DISTRIB_NAME)/License.txt"
	@cp "../Copyright.txt" "dist/$(DISTRIB_NAME)/License.txt"
	@make distrib -C "../Plugins" -f Makefile.psp

clean:
	make cleankernelprx
	make cleanexceptionprx
	make cleanlaunchereboot
	make cleanengineprx
	make cleanallplugins

=== PSP/launcher/Makefile ===
TARGET = agslauncher

OBJS = main.o ../../Engine/platform/util/pe.o ../kernel/kernel.o

CFLAGS = -O2 -g -G0 -msingle-float -ffast-math -Wall
CXXFLAGS = $(CFLAGS) -fno-rtti -Wno-write-strings -fomit-frame-pointer
ASFLAGS = $(CFLAGS)
LIBS =
LDFLAGS =

EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = Adventure Game Studio 3.21 Launcher

PSP_EBOOT_ICON = ../media/ICON0_WHITE.PNG
PSP_EBOOT_UNKPNG = ../media/PIC0.PNG
PSP_EBOOT_PIC1 = ../media/PIC1.PNG
PSP_EBOOT_SND0 = NULL

PSP_LARGE_MEMORY = 1

PSP_FW_VERSION = 371
BUILD_PRX = 1
ENCRYPT = 0

PSPSDK=$(shell psp-config --pspsdk-path)
include $(PSPSDK)/lib/build.mak

=== Plugins/AGSflashlight/Makefile ===
UNAME := $(shell uname)

INCDIR = ../../Engine ../../Common
LIBDIR =
CC = gcc
CXX = g++
CFLAGS = -fPIC -fvisibility=hidden -O2 -g -Wall
LIBS = -lm -lstdc++

ifeq ($(UNAME), Darwin)
TARGET = libagsflashlight.dylib
CFLAGS += -DMAC_VERSION
else
TARGET = libagsflashlight.so
CFLAGS += -DLINUX_VERSION
endif

CXXFLAGS = $(CFLAGS)

include Makefile-objs


CFLAGS   := $(addprefix -I,$(INCDIR)) $(CFLAGS)
CXXFLAGS := $(CFLAGS) $(CXXFLAGS)
ASFLAGS  := $(CFLAGS) $(ASFLAGS)


.PHONY: clean

all: $(TARGET)

$(TARGET): $(OBJS)
	@$(CC) -shared -dynamiclib -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)

%.o: %.c
	@echo $@
	@$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.cpp
	@echo $@
	@$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	@rm -f $(TARGET) $(OBJS)

=== Plugins/ags_parallax/Makefile ===
UNAME := $(shell uname)

INCDIR = ../../Engine ../../Common
LIBDIR =
CC = gcc
CXX = g++
CFLAGS = -fPIC -fvisibility=hidden -O2 -g -Wall
LIBS = -lm -lstdc++

ifeq ($(UNAME), Darwin)
TARGET = libags_parallax.dylib
CFLAGS += -DMAC_VERSION
else
TARGET = libags_parallax.so
CFLAGS += -DLINUX_VERSION
endif

CXXFLAGS = $(CFLAGS)

include Makefile-objs


CFLAGS   := $(addprefix -I,$(INCDIR)) $(CFLAGS)
CXXFLAGS := $(CFLAGS) $(CXXFLAGS)
ASFLAGS  := $(CFLAGS) $(ASFLAGS)


.PHONY: clean

all: $(TARGET)

$(TARGET): $(OBJS)
	@$(CC) -shared -dynamiclib -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)

%.o: %.c
	@echo $@
	@$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.cpp
	@echo $@
	@$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	@rm -f $(TARGET) $(OBJS)

=== debian/changelog ===
ags (3.30.0-1) UNRELEASED; urgency=low

  * some release

 -- Tobias Hansen <tobias.han@gmx.de>  Mon, 18 Feb 2013 22:13:14 +0100

=== debian/control ===
Source: ags
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper,
               pkg-config,
               liballeg4.4-dev,
               libaldmb1-dev,
               libfreetype6-dev,
               libtheora-dev,
               libvorbis-dev,
               libogg-dev
Standards-Version: 3.9.3
Homepage: https://github.com/adventuregamestudio/ags
Vcs-Git: git://github.com/adventuregamestudio/ags.git
Vcs-Browser: https://github.com/adventuregamestudio/ags

Package: ags
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Adventure Game Studio runtime engine
 AGS is an adventure game engine with many games available.
 .
 Package built on ${buildinfo:Date}
 using git ${buildinfo:Git-Object}.

Package: ags-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    ags (= ${binary:Version}),
    ${misc:Depends}
Description: Adventure Game Studio runtime engine (debugging symbols)
 AGS is an adventure game engine with many games available.
 .
 This package contains the debugging symbols for ags.
 .
 Package built on ${buildinfo:Date}
 using git ${buildinfo:Git-Object}.

## ags 3.30.0-1-maemo1

=== Engine/Makefile ===
UNAME := $(shell uname)

ifeq ($(UNAME), Darwin)
include Makefile-defs.osx
else
include Makefile-defs.linux
endif

include Makefile-objs
OBJS_C_CPP = $(ALFONT) $(ALMP3) $(ALOGG) $(APEG) $(AASTR) $(HQ2X3X) $(CDA) $(PLUGINS) $(BASE) $(BASE_PLATFORM)
OBJS_C = $(OBJS_C_CPP:.cpp=.o)
OBJS = $(OBJS_C:.c=.o)

OBJS_COMMON_CPP = $(COMMON)
OBJS_COMMON = $(OBJS_COMMON_CPP:.cpp=.o)
DEPFILES = $(OBJS:.o=.d) $(OBJS_COMMON:.o=.d)

-include config.mak

.PHONY: printflags clean install uninstall rebuild

all: printflags ags

ags: $(OBJS) common.a 
	@echo "Linking engine..."
	@$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)

common.a: $(OBJS_COMMON)
	@echo "Linking common library..."
	@$(AR) rcs $@ $^

-include $(DEPFILES)

%.o: %.c
	@echo $@
	@$(CC) $(CFLAGS) -MD -c -o $@ $<

%.o: %.cpp
	@echo $@
	@$(CXX) $(CXXFLAGS) -MD -c -o $@ $<

printflags:
	@echo "CFLAGS =" $(CFLAGS) "\n"
	@echo "CXXFLAGS =" $(CXXFLAGS) "\n"
	@echo "LDFLAGS =" $(LDFLAGS) "\n"
	@echo "LIBS =" $(LIBS) "\n"

rebuild: clean all

clean:
	@echo "Cleaning..."
	@rm -f ags common.a $(OBJS) $(OBJS_COMMON) $(DEPFILES)

install: ags
	mkdir -p $(PREFIX)/bin
	cp -t $(PREFIX)/bin ags

uninstall:
	rm -f $(PREFIX)/bin/ags

=== PSP/kernel/Makefile ===
TARGET = kernel
OBJS = main.o

# Use the kernel's small inbuilt libc
USE_KERNEL_LIBC = 1
# Use only kernel libraries
USE_KERNEL_LIBS = 1

INCDIR = 
CFLAGS = -O2 -G0 -Wall
CXXFLAGS = $(CFLAGS) -fno-exceptions -fno-rtti
ASFLAGS = $(CFLAGS)
LDFLAGS = -mno-crt0 -nostartfiles

BUILD_PRX = 1
PRX_EXPORTS = exports.exp

LIBDIR =

LIBS = -lpspsystemctrl_kernel

PSPSDK=$(shell psp-config --pspsdk-path)
include $(PSPSDK)/lib/build.mak

=== Plugins/AGSSpriteFont/Makefile ===
UNAME := $(shell uname)

INCDIR = ../../Engine ../../Common
LIBDIR =
CC = gcc
CXX = g++
CFLAGS = -fPIC -fvisibility=hidden -O2 -g -Wall
LIBS = -lm -lstdc++

ifeq ($(UNAME), Darwin)
TARGET = libagsspritefont.dylib
CFLAGS += -DMAC_VERSION
else
TARGET = libagsspritefont.so
CFLAGS += -DLINUX_VERSION
endif

CXXFLAGS = $(CFLAGS)

include Makefile-objs


CFLAGS   := $(addprefix -I,$(INCDIR)) $(CFLAGS)
CXXFLAGS := $(CFLAGS) $(CXXFLAGS)
ASFLAGS  := $(CFLAGS) $(ASFLAGS)


.PHONY: clean

all: $(TARGET)

$(TARGET): $(OBJS)
	@$(CC) -shared -dynamiclib -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)

%.o: %.c
	@echo $@
	@$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.cpp
	@echo $@
	@$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	@rm -f $(TARGET) $(OBJS)

=== Plugins/ags_snowrain/Makefile ===
UNAME := $(shell uname)

INCDIR = ../../Engine ../../Common
LIBDIR =
CC = gcc
CXX = g++
CFLAGS = -fPIC -fvisibility=hidden -O2 -g -Wall
LIBS = -lm -lstdc++

ifeq ($(UNAME), Darwin)
TARGET = libags_snowrain.dylib
CFLAGS += -DMAC_VERSION
else
TARGET = libags_snowrain.so
CFLAGS += -DLINUX_VERSION
endif

CXXFLAGS = $(CFLAGS)

include Makefile-objs


CFLAGS   := $(addprefix -I,$(INCDIR)) $(CFLAGS)
CXXFLAGS := $(CFLAGS) $(CXXFLAGS)
ASFLAGS  := $(CFLAGS) $(ASFLAGS)


.PHONY: clean

all: $(TARGET)

$(TARGET): $(OBJS)
	@$(CC) -shared -dynamiclib -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)

%.o: %.c
	@echo $@
	@$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.cpp
	@echo $@
	@$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	@rm -f $(TARGET) $(OBJS)

=== Plugins/agsblend/Makefile ===
UNAME := $(shell uname)

INCDIR = ../../Engine ../../Common
LIBDIR =
CC = gcc
CXX = g++
CFLAGS = -fPIC -fvisibility=hidden -O2 -g -Wall
LIBS = -lm -lstdc++

ifeq ($(UNAME), Darwin)
TARGET = libagsblend.dylib
CFLAGS += -DMAC_VERSION
else
TARGET = libagsblend.so
CFLAGS += -DLINUX_VERSION
endif

CXXFLAGS = $(CFLAGS)

include Makefile-objs


CFLAGS   := $(addprefix -I,$(INCDIR)) $(CFLAGS)
CXXFLAGS := $(CFLAGS) $(CXXFLAGS)
ASFLAGS  := $(CFLAGS) $(ASFLAGS)


.PHONY: clean

all: $(TARGET)

$(TARGET): $(OBJS)
	@$(CC) -shared -dynamiclib -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)

%.o: %.c
	@echo $@
	@$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.cpp
	@echo $@
	@$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	@rm -f $(TARGET) $(OBJS)

=== Plugins/agslua/Makefile ===
UNAME := $(shell uname)

INCDIR = agslua/lualibhelp/include/ ../../Engine ../../Common
LIBDIR =
CC = gcc
CXX = g++
CFLAGS = -fPIC -fvisibility=hidden -O2 -g -Wall $(shell pkg-config --cflags lua5.1-c++) -DTHIS_IS_THE_PLUGIN
LIBS = -lm -lstdc++ -lz $(shell pkg-config --libs lua5.1-c++)

ifeq ($(UNAME), Darwin)
TARGET = libagslua.dylib
CFLAGS += -DMAC_VERSION
else
TARGET = libagslua.so
CFLAGS += -DLINUX_VERSION
endif

CXXFLAGS = $(CFLAGS)

include Makefile-objs


CFLAGS   := $(addprefix -I,$(INCDIR)) $(CFLAGS)
CXXFLAGS := $(CFLAGS) $(CXXFLAGS)
ASFLAGS  := $(CFLAGS) $(ASFLAGS)


.PHONY: clean

all: $(TARGET)

$(TARGET): $(OBJS)
	@$(CC) -shared -dynamiclib -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)

%.o: %.c
	@echo $@
	@$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.cpp
	@echo $@
	@$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	@rm -f $(TARGET) $(OBJS)

=== debian/changelog ===
ags (3.30.0-1-maemo1) fremantle; urgency=low

  * against liballegro4.2

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 17 Jan 2014 20:53:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper,
                pkg-config,
-               liballeg4.4-dev,
+               liballegro4.2-dev,
                libaldmb1-dev,
                libfreetype6-dev,
                libtheora-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Keep this list of folders that are not included in the
# orig syncronized with the one in debian/source/local-options!
ORIG_CONTENT := $(shell git ls-tree --name-only HEAD | grep -Ev '^(Android|Editor|iOS|OSX|PSP|Windows|debian|\.git.*)')
VERSION := $(shell dpkg-parsechangelog | grep -x "Version:.*" | sed 's@Version: \(.\+\)-.\+@\1@')
MAKE = make --directory=Engine
GENCONTROL_SUBSTVARS = -Vbuildinfo:Date="$(shell date -R)" -Vbuildinfo:Git-Object="$(shell git show HEAD | head -n1)"

ifneq (,$(filter rpath=%,$(DEB_BUILD_OPTIONS)))
  RPATH = $(patsubst rpath=%,%,$(filter rpath=%,$(DEB_BUILD_OPTIONS)))
  export RPATH
endif

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_build:
	$(MAKE)

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp/usr

override_dh_clean:
	dh_clean --exclude=Editor/*

get-orig-source:
	git archive --prefix=ags_$(VERSION)/ --format=tar HEAD $(ORIG_CONTENT) | gzip > ../ags_$(VERSION).orig.tar.gz

override_dh_gencontrol:
	dh_gencontrol -- $(GENCONTROL_SUBSTVARS)

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=ags-dbg
